Get All Actions
Fetch count of subscribable actions by ID
Retrieves count of subscribable actions matching the name criteria
Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/abx/api/resources/actions
COPY
Query Parameters
page
Optional
Page to fetch (starting from 0)
size
Optional
Amount of entities per page
projection
Optional
Flag to return projections instead of full entities
nameCriteria
Optional
Name criteria to filter actions
Responses
200
Paged result of action counts
Returns
PageAction
of type(s)
*/*
{
"totalPages": 0,
"totalElements": 0,
"pageable": {
"paged": false,
"pageNumber": 0,
"pageSize": 0,
"offset": 0,
"sort": {
"sorted": false,
"empty": false,
"unsorted": false
},
"unpaged": false
},
"size": 0,
"content": [
{
"name": "string",
"metadata": {},
"runtime": "string",
"source": "string",
"entrypoint": "string",
"description": "string",
"inputs": {},
"memoryInMB": 0,
"prePolyglotMemoryLimitInMB": 0,
"showMemoryAlert": false,
"timeoutSeconds": 0,
"dependencies": "string",
"compressedContent": "string",
"actionType": "string",
"provider": "string",
"contentId": "string",
"configuration": {},
"system": false,
"shared": false,
"scalable": false,
"asyncDeployed": false,
"runtimeVersion": "string",
"id": "string",
"projectId": "string",
"orgId": "string",
"selfLink": "string"
}
],
"number": 0,
"sort": {
"sorted": false,
"empty": false,
"unsorted": false
},
"numberOfElements": 0,
"first": false,
"last": false,
"empty": false
}
401
Unauthorized to make the request
Returns
PageAction
of type(s)
*/*
{
"totalPages": 0,
"totalElements": 0,
"pageable": {
"paged": false,
"pageNumber": 0,
"pageSize": 0,
"offset": 0,
"sort": {
"sorted": false,
"empty": false,
"unsorted": false
},
"unpaged": false
},
"size": 0,
"content": [
{
"name": "string",
"metadata": {},
"runtime": "string",
"source": "string",
"entrypoint": "string",
"description": "string",
"inputs": {},
"memoryInMB": 0,
"prePolyglotMemoryLimitInMB": 0,
"showMemoryAlert": false,
"timeoutSeconds": 0,
"dependencies": "string",
"compressedContent": "string",
"actionType": "string",
"provider": "string",
"contentId": "string",
"configuration": {},
"system": false,
"shared": false,
"scalable": false,
"asyncDeployed": false,
"runtimeVersion": "string",
"id": "string",
"projectId": "string",
"orgId": "string",
"selfLink": "string"
}
],
"number": 0,
"sort": {
"sorted": false,
"empty": false,
"unsorted": false
},
"numberOfElements": 0,
"first": false,
"last": false,
"empty": false
}
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/abx/api/resources/actions